using Abp.Application.Services.Dto;
using Abp.AutoMapper;
using System;
using System.ComponentModel.DataAnnotations;

namespace MineTec.ProManager.UserInfo.Dto
{
    [AutoMapTo(typeof(Entitys.UserInfo))]
    public class CreateUpdateUserInfoDto : EntityDto<Guid>
    {
        /// <summary>
        /// 创建日期
        /// </summary>
        public DateTime? CreateTime { get; set; }
        /// <summary>
        /// 创建人ID
        /// </summary>
        [StringLength(50)]
        public string CreateUserID { get; set; }
        /// <summary>
        /// 创建人姓名
        /// </summary>
        [StringLength(50)]
        public string CreateUserName { get; set; }
        /// <summary>
        /// 修改日期
        /// </summary>
        public DateTime? UpdateTime { get; set; }
        /// <summary>
        /// 修改人ID
        /// </summary>
        [StringLength(50)]
        public string UpdateUserID { get; set; }
        /// <summary>
        /// 修改人名称
        /// </summary>
        [StringLength(50)]
        public string UpdateUserName { get; set; }
        /// <summary>
        /// 账号
        /// </summary>
        [StringLength(100)]
        public string Account { get; set; }
        /// <summary>
        /// 用户名称
        /// </summary>
        [StringLength(150)]
        public string UserName { get; set; }
        /// <summary>
        ///性别：0 女, 1 男
        /// </summary>
        public int? Sex { get; set; }
        /// <summary>
        /// 部门ID
        /// </summary>
        [StringLength(50)]
        public string DeptID { get; set; }
        /// <summary>
        /// 部门名称
        /// </summary>
        [StringLength(100)]
        public string DeptName { get; set; }
        /// <summary>
        /// 岗位ID
        /// </summary>
        [StringLength(50)]
        public string PostID { get; set; }
        /// <summary>
        /// 岗位名称
        /// </summary>
        [StringLength(100)]
        public string PostName { get; set; }
        /// <summary>
        /// 工号
        /// </summary>
        [StringLength(100)]
        public string WorkNo { get; set; }
        /// <summary>
        /// 手机号
        /// </summary>
        [StringLength(50)]
        public string CellPhoneNum { get; set; }
        /// <summary>
        /// 固定电话
        /// </summary>
        [StringLength(50)]
        public string TelPhoneNum { get; set; }
        /// <summary>
        /// 备注
        /// </summary>
        [StringLength(2000)]
        public string Remake { get; set; }
        /// <summary>
        /// 密码
        /// </summary>
        [StringLength(100)]
        public string PassWord { get; set; }
        /// <summary>
        ///是否超级管理员：0 否, 1 是
        /// </summary>
        public int? IsAdmin { get; set; }
        /// <summary>
        /// 权限等级
        /// </summary>
        [StringLength(100)]
        public string PowerLevel { get; set; }
        /// <summary>
        ///是否离职：0 否, 1 是
        /// </summary>
        public int? IsLeaving { get; set; }
        /// <summary>
        ///是否删除：0 否, 1 是
        /// </summary>
        public int? IsDelete { get; set; }

        public DateTime CreationTime { get; set; }
    }
}
